/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
* This program is released under the terms of the GNU GPL version 2
*/

/* Fowler/Noll/Vo hash 
* Its fast to compute, its obvious code, it performs well... */
static inline u_int32_t string_hash(char *str)
{
	u_int32_t h=2166136261UL;
	u_int8_t *data=(u_int8_t *)str;

	while(*data) {
		h = (h*16777619) ^ *data++;
	}

	return h;
}
